Bug 249727 - xenbus has use-after-free in drivers/xen/xenbus/xenbus_xs.c
Summary: xenbus has use-after-free in drivers/xen/xenbus/xenbus_xs.c
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel-xen   
(Show other bugs)
Version: 4.5
Hardware: All Linux
low
low
Target Milestone: ---
: ---
Assignee: Don Dutile
QA Contact: Martin Jenner
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 249728
TreeView+ depends on / blocked
 
Reported: 2007-07-26 18:15 UTC by Don Dutile
Modified: 2008-07-24 19:14 UTC (History)
3 users (show)

Fixed In Version: RHSA-2008-0665
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-24 19:14:46 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2008:0665 normal SHIPPED_LIVE Moderate: Updated kernel packages for Red Hat Enterprise Linux 4.7 2008-07-24 16:41:06 UTC

Description Don Dutile 2007-07-26 18:15:52 UTC
Description of problem:

The Coverity checker spotted the following use-after-free
in drivers/xen/xenbus/xenbus_xs.c:

<--  snip  -->
...
static int process_msg(void)
{
...
               if (IS_ERR(msg->u.watch.vec)) {
                       kfree(msg);
                       err = PTR_ERR(msg->u.watch.vec);
...

<--  snip  -->


Version-Release number of selected component (if applicable): 4.5


How reproducible:
Would need to exhaust system memory to generate a ENOMEM while performing
xenstore access by xenbus driver

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 RHEL Product and Program Management 2007-07-26 18:25:28 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 2 RHEL Product and Program Management 2007-09-07 19:34:21 UTC
This request was previously evaluated by Red Hat Product Management
for inclusion in the current Red Hat Enterprise Linux release, but
Red Hat was unable to resolve it in time.  This request will be
reviewed for a future Red Hat Enterprise Linux release.

Comment 3 Jason Baron 2008-01-10 22:01:24 UTC
committed in stream U7 build 68.6. A test kernel with this patch is available
from http://people.redhat.com/~jbaron/rhel4/


Comment 7 errata-xmlrpc 2008-07-24 19:14:46 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2008-0665.html


Note You need to log in before you can comment on or make changes to this bug.